
server {
    listen       443 ssl http2;
    listen       [::]:443 ssl http2;
    server_name  jupyter.windymuse.com.cn;

    ssl_certificate /root/ssl/windymuse.com.cn/fullchain.crt;
    ssl_certificate_key /root/ssl/windymuse.com.cn/private.pem;

    ssl_session_timeout  10m;
    ssl_ciphers HIGH:!aNULL:!MD5;
    ssl_prefer_server_ciphers on;
    client_max_body_size 100m;

    location / {
        proxy_pass http://localhost:8888;
        proxy_http_version 1.1;
        proxy_redirect off; 
        proxy_set_header Host $host; 
        proxy_set_header X-Real-IP $remote_addr; 
        proxy_read_timeout 3600s; 
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for; 
        proxy_set_header Upgrade $http_upgrade; 
        proxy_set_header Connection $connection_upgrade; 
    }

}